var index = 
{
  "titles": {
    "title": "Arm Education Kit",
    "libname": "ST Nucleo F401RE Edition",
    "libtype": "Rapid Embedded System Education Kit"
  },
  "headers": [
    {
      "name": "Lecture Presentation",
      "column": "modules"
    },
    {
      "name": "Lab Exercises",
      "column": "exercises"
    }
  ],
  "modules": [
    [
      {
        "column": "modules",
        "name": "Module 1: Introduction to Embedded Systems",
        "link": "Contents/Module_1/Module_1.pptx"
      }
    ],

    [
      {
        "column": "modules",
        "name": "Module 2: The Arm Cortex-M4 Processor Architecture",
        "link": "Contents/Module_2/Module_2.pptx"
      }
    ], 
	
    [
      {
        "column": "modules",
        "name": "Module 3: Introduction to Arm Cortex-M4 Programming",
        "link": "Contents/Module_3/Module_3.pptx"
      },

    ],
	
	[
      {
        "column": "modules",
        "name": "Module 4: Introduction to the Mbed Platform and CMSIS",
        "link": "Contents/Module_4/Module_4.pptx"
      },
	  {
        "column": "exercises",
        "name": "Getting Started Guide",
        "link": "Contents/Module_4/Getting_Started.docx"
      }
    ],
		
	[
      {
        "column": "modules",
        "name": "Module 5: Digital Input and Output(IO)",
        "link": "Contents/Module_5/Module_5.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab 1: Digital IO",
        "link": "Contents/Module_5/Lab1_resources.zip"
      }
    ],
	[
      {
        "column": "modules",
        "name": "Module 6: Interrupts and Low Power Features ",
        "link": "Contents/Module_6/Module_6.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab 2: Interrupts",
        "link": "Contents/Module_6/Lab2_resources.zip"
      }
    ],	
	
	 
    [
      {
        "column": "modules",
        "name": "Module 7: Analog Input and Output ",
        "link": "Contents/Module_7/Module_7.pptx"
      },
	  {
        "column": "exercises",
        "name": "Lab 3: Analog IO",
        "link": "Contents/Module_7/Lab3_resources.zip"
      }
    ],
	[
      {
        "column": "modules",
        "name": "Module 8: Timer and Pulse-width Modulation ",
        "link": "Contents/Module_8/Module_8.pptx"
      },
	  {
        "column": "exercises",
        "name": "Lab 4: Timer and Pulse-width Modulation",
        "link": "Contents/Module_8/Lab4_resources.zip"
      }
    ],
	
	[
      {
        "column": "modules",
        "name": "Module 9: Serial Communication ",
        "link": "Contents/Module_9/Module_9.pptx"
      },
	  {
        "column": "exercises",
        "name": "Lab 5: Serial Communication",
        "link": "Contents/Module_9/Lab5_resources.zip"
      }
    ],

	[
      {
        "column": "modules",
        "name": "Module 10: Real-Time Operating System ",
        "link": "Contents/Module_10/Module_10.pptx"
      },
	  {
        "column": "exercises",
        "name": "Lab 6: Real-Time Operating System",
        "link": "Contents/Module_10/Lab6_resources.zip"
      }
    ],	

    [
	  {
        "column": "exercises",
        "name": "Final Lab",
        "link": "Contents/Module_11/FinalLabResources.zip"
      }
    ],	

	[
	
     {
        "column": "modules",
        "name": "Extra Reading: The Arm Cortex-M4 Processor Architecture - Part 2",
        "link": "Contents/Extra_Reading/Arm_Cortex-M4_Processor_Architecture_Part2.pptx"
      },
      {
        "column": "exercises",
        "name": "Appendix: Mbed Simulator Modification Guide",
        "link": "Contents/Simulator_Modifications/mbed_simulator_modification.zip"
      }
    ],		
	
  ]
}